{ ... }:
{
	imports = [
		./hardware-configuration.nix
		./luks.nix
	];

	programs.steam.enable = true;
	programs.gamemode = {
 		enable = true;
 		settings = {
 			general = {
 				renice = 10;
 			};
			# Warning: GPU optimisations have the potential to damage hardware
			gpu = {
				apply_gpu_optimisations = "accept-responsibility";
				gpu_device = 0;
				amd_performance_level = "high";
			};
		};
	};
	services.power-profiles-daemon.enable = false;
	services.tlp = {
		enable = true;
		settings = {
			START_CHARGE_THRESH_BAT0 = 75;
			STOP_CHARGE_THRESH_BAT0 = 80;
		};
	};


}
