{ ... } :
#  .              +   .                .   . .     .  .
#                    .                    .       .     *
#   .       *                        . . . .  .   .  + .
#                              .   .  +  . . .
# .                              .  .   .    .    . .
#                              .     .     . +.    +  .
#                             .       .   . .
#         . .                 .    * . . .  .  +   .
#            +      .           .   .      +
#                             .       . +  .+. ..  *
# .    　　。　　　•　 　ﾟ　　。 　　.           +
# 　　.　    　　　.　　　　。　　 。　.  . .   .  .
# .　 。　　　　           ඞ 。 . 　 •   .  .    +  +
# 　　ﾟ　          Hive was an Impostor   +  .
# 　'　　           2 Impostors remain  +  .+.  　　　•　
# 　ﾟ　　　.　　. ,　　　.　 .   ,             +　　　.　
#   .                      .     . + .  . . +  .+.    .
#            .      .    .     . .   . . .        ! /
#       *             .    . .  +    .  .       - O -
#           .     .    .  +   . .  *  .       . / |
#                . + .  .  .  .. +  .
# .      .  .  .  *   .  *  . +..  .            *
#  .      .   . .   .   .   . .  +   .    .          +
{
	services.syncthing = {
		enable = true;
		user = "hive";
		configDir = "/home/hive/.config/syncthing";
		overrideDevices = false;
		overrideFolders = false;
		devices = { "impostor" = { 
			id = "XBG44HU-OVOC6RN-4DHMDRH-WPL7OPW-XBYYOMK-DV5GGGA-LEP6HCJ-QVPMSAI"; 
			introducer = true; 
		}; };
		folders = {
			"ssh" = {
				id = "mkkgo-chqwk";
				path = "~/.ssh";
				devices = [ "impostor" ];
				ignorePerms = false;
			};
			"decsync" = {
				id = "20lk1-ims07";
				path = "~/.local/share/decsync";
				devices = [ "impostor" ];
			};
			"scripts" = {
				id = "6nunu-quun5";
				path = "~/.local/bin/scripts";
				devices = [ "impostor" ];
			};
			"dotfiles" = {
				id = "sjgew-vdpfl";
				path = "~/.dotfiles";
				devices = [ "impostor" ];
			};
			"password-store" = {
				id = "tadwa-1va0d";
				path = "~/.local/share/pass";
				devices = [ "impostor" ];
			};
			"notes" = {
				id = "y0a00-2ha8l";
				path = "~/Notes";
				devices = [ "impostor" ];
			};
			"documents" = {
				id = "y7ecb-v9ds7";
				path = "~/Documents";
				devices = [ "impostor" ];
			};
		};
	};
}
